void selectFile(File s) {
  selected = s.getAbsolutePath();
}

void screenshot(File s) {
  save(s.getAbsolutePath());
}

void readFile() {
  
  if (selected == null) return;
  classes = new ArrayList<Class>();
  String line;
  BufferedReader file = createReader(selected);
  while (true) {
    try {
      line = file.readLine();
    } 
    catch (IOException e) {
      e.printStackTrace();
      line = null;
    }

    if (line == null) {
      //Done reading. Go ahead and draw the calendar.
      redraw();
      return;
    } 
    
    String[] tokens = line.split("[\\t]");
    try {
      println("Title: " + tokens[0] + "  Location: " + tokens[1] + 
        "  Days: " + tokens[2] + "  Start time: " + tokens[3] + "  End time: " + tokens[4]);

      classes.add(new Class(tokens[0], tokens[1], tokens[2], tokens[3], tokens[4])); //, int(tokens[5]), int(tokens[6]), int(tokens[7])));
    } 
    catch (Exception e) {
      println(e);
    }
  }
}

